CopyParentClassLoaderRule (Apache Tomcat 11.0.21 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: CopyParentClassLoaderRule

# Class CopyParentClassLoaderRule

java.lang.Object
org.apache.tomcat.util.digester.Rule
org.apache.catalina.startup.CopyParentClassLoaderRule

public class CopyParentClassLoaderRule extends Rule
Rule that copies the `parentClassLoader` property from the next-to-top item on the stack (which must be a `Container`) to the top item on the stack (which must also be a `Container`).

- ## Field Summary

  ### Fields inherited from class Rule

  `digester, namespaceURI, sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CopyParentClassLoaderRule()`
  Construct a new instance of this Rule.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `begin(String namespace, String name, Attributes attributes)`
  This method is called when the beginning of a matching XML element is encountered.

  ### Methods inherited from class Rule

  `body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CopyParentClassLoaderRule

    public CopyParentClassLoaderRule()
    Construct a new instance of this Rule.

- ## Method Details

  - ### begin

    public void begin(String namespace, String name, Attributes attributes) throws Exception
    Description copied from class: `Rule`
    This method is called when the beginning of a matching XML element is encountered. The default implementation is a NO-OP.
    Overrides:
      `begin` in class `Rule`
    Parameters:
      `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
      `name` - the local name if the parser is namespace aware, or just the element name otherwise
      `attributes` - The attribute list of this element
    Throws:
      `Exception` - if an error occurs while processing the event